Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556074 - llvm35: FTBFS in F28
Summary: llvm35: FTBFS in F28
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm35
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:10 UTC by Fedora Release Engineering
Modified: 2018-11-17 09:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-17 09:23:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 23:15 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 23:15 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 23:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:10:40 UTC
Your package llvm35 failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24815366

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 23:15:21 UTC
Created attachment 1444957 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 23:15:25 UTC
Created attachment 1444958 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 23:15:28 UTC
Created attachment 1444959 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:15:00 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:30:59 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Jens Petersen 2018-07-09 10:10:21 UTC
llvm-3.5 no longer builds under F28 - it would need some patching.

Anyway I don't think anything in Fedora still needs it: we should really have retired the package before F28 was released - though I think it still installs
and works perhaps.

If someone has a patch to make it build I am happy to apply it for F28,
but I don't have time for that myself.

Comment 7 Jens Petersen 2018-07-09 10:15:28 UTC
I retired the package in pkg git master for F29.

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-07-10 08:11:51 UTC
(Sorry for the repeated message.)

It sounds like this package should be retired in F29+ then. This should probably be done before the mass rebuild tomorrow to avoid noise.

Comment 9 Jens Petersen 2018-11-17 09:23:18 UTC
It was retired, thanks


Note You need to log in before you can comment on or make changes to this bug.